LNAV(1)

NAME
lnav - ncurses-based log file viewer

SYNOPSIS
lnav [-hVsar] [logfile1 logfile2 ...]

DESCRIPTION
The log file navigator, lnav, is an enhanced log file viewer that takes advantage of any semantic information that can be gleaned from the files being viewed, such as timestamps and log levels. Using this extra semantic information, lnav can do things like interleaving messages from different files, generate histograms of messages over time, and providing hotkeys for navigating through the file. It is hoped that these features will allow the user to quickly and efficiently zero in on problems.

KEY BINDINGS

?   View/leave the online help text.

q   Quit the program.

OPTIONS

-h  Print help and exit

-H  Display the internal help text.

-I path
    Add the given configuration directory to the search path.

-i  Install the given format files in the $HOME/.lnav/formats/installed directory and exit.

-C  Check the configuration and exit. The log format files will be loaded and checked. Any files given on the command-line will be loaded checked to make sure they match a log format.

-d file
    Write debug messages to the given file.

-V  Print version information.

-a  Load all of the most recent log file types.

-r  Recursively load files from the given directories.

-R  Load older rotated log files as well.

-t  Prepend timestamps to the lines of data being read in on the standard input.

-w file
    Write the contents of the standard input to this file.

  Optional arguments:

logfile1
    The log files or directories to view. If a directory is given, all of the files in the directory will be loaded.

EXAMPLES
To load and follow the syslog file:

    lnav -s

To load all of the files in /var/log:

    lnav /var/log

To watch the output of make with timestamps prepended:

    make 2>&1 | lnav -t

AUTHOR
This manual page was written by Salvatore Bonaccorso <carnil@debian.org> for the Debian system (but may be used by others).